
	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/viewlease";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 
  <style type="text/css">
  
  	
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		
		
    }
  
  #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; height:50px;


}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
		 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print Receipt!" />
                   
 
 </form>
 <a href="<?php echo base_url(); ?>user/allinvoices">Go Back to all invoices</a>
                   <a href="<?php echo base_url(); ?>user/mysales">Or Cashier Sales</a>

 </div>
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
				<tr >
					<td colspan="3">
					</td>
					<td colspan="2">
									<h2 style="margin:0px;"> PARCEL INVOICE 	</h2>


			
					</td>
					</tr>
						<tr>
						<td colspan="2">
						<table>
						<tr><td >
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;margin:20px  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						</td><td>
						
				
						<?php $description=$configuration[0]['description']; if(isset($description)) {echo   $description; }?>
							
						
						
						</td>
						</tr>
						</table>
						</td>
						
						
						<td colspan="4">
					<b>
		 Date:  <?php echo$viewreceipt[0]['dateleased'];?><BR>
						 	Due Date: <?php echo$viewreceipt[0]['duedate'];?><BR>
						Delivery  No: <?php echo$viewreceipt[0]['id'];?><BR>
						Invoice No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR>
						Payment Mode:(<?php  echo$viewreceipt[0]['mode'];?>)
						
					</b>	
						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Billing To:</B>
					
					<?php 
							$customername=$customer;
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						$alldetais="";
						if($mysupplier[0]['company']!=""){
							 $alldetais.= $mysupplier[0]['company']."<br>";
						 }
						  if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							 $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						 
						   if($customername!=""){
							 //$alldetais.= $customername;
						 }
						 		echo "<br>".$alldetais;	
											

						//echo "<br>".$comments=$mysupplier[0]['comments'];
							?>
						
						
						</td>
						
							<td colspan="3">
						
				

						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
												</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; ">

							
						
							<tr  class="heading">
							<td><b>Item Name</b></td>
<td><b>Description</b></td>
			 <td><b>Qty </td>				
	 <td><b>Amount</td>		

	 <td><b>TT Amount</td>		

								
							</tr>
					
						<?php
					
 $ttamount=0;
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $count=0;

  	foreach ($viewsales as $c): 

		  $count=++$count;

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 

	 ?>
												    <td ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name'];
	 

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
			<td><?php echo $c->description ; ?></td>
			<td><?php echo $c->qty ; ?></td>

		<td><?php echo $c->sprice ; ?></td>
	<td><?php echo $tt= ($c->sprice * $c->qty);

 $ttamount= $ttamount+($c->sprice * $c->qty);

?></td>
	

									
												
									
											</tr>
										<?php endforeach;} ?>

    
			  <tr>
			  	<td colspan="4"> 
			  TOTAL AMOUNT:
			  </td>
			  	<td> 
			
			  
			  <?php
			 echo  formatMoney($ttamount,true)
			  
			  ?>
			  </td>
			  </tr>
			  
			  
				
								
								<tr>
								<td colspan="2"> 

								
								
							<H3 class="pull-left">
															
							Sales Person:  <?php 
						
							$user=$this->usermodel->populateallarray('people','id', $userid);
						echo$names=$user[0]['firstname']. " ".$user[0]['surname'] ;
						
						
						?>		
											</H3>

							
							
							</td>
								
								<td colspan="4"> 

								
								
							<H3 class="pull-right">
															
															Signature:----------------------
											</H3>

							
							
							</td>
							
							</tr>
							
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
				<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; if(isset($invoicedetails)) {echo   $invoicedetails; }?><br>

</div>
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		
		<script type="text/javascript">
$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/viewlease";
 }
});
</script>

















